Ability to disable the check for Amazon Aurora in ATST

Description

original: https://jira.atlassian.com/browse/CONFSERVER-58991

In Confluence Server, the Support Tool plugin currently checks whether Confluence is using an Amazon Aurora database (unsupported on Server licenses). This check only happens in Confluence server. 

This causes the following error logs to be displayed in the Postgres logs:

Suggestions
  1. It would be useful the have an option, to disable the check for the Amazon Aurora database, so that the above stops displaying.

  2. Modify the plugin or provide a solution so that the above error logs do not get displayed in Postgrsql logs.

 

Environment

None

Activity

Show:
Vivek Yadavayyanamath
October 23, 2019, 9:22 AM

Hello Team,

We have noticed similar errors in Jira Server as well, customer requested us to check if this can be addressed in later releases. Ticket reference: https://getsupport.atlassian.com/browse/GHS-168020

After an upgrade from 7.x to 8.4.x postgres has begun logging the following in our syslog. postgres[16785]: [5-1] ERROR: function aurora_version() does not exist at character 8 postgres[16785]: [5-2] HINT: No function matches the given name and argument types. You might need to add explicit type casts. postgres[16785]: [5-3] STATEMENT: select AURORA_VERSION() as aurora_version

Suggestions:

  1. It would be useful the have an option, to disable the check for the Amazon Aurora database, so that the above stops displaying.

  2. Modify the plugin or provide a solution so that the above error logs do not get displayed in Postgresql logs.

Thanks and Regards,
Vivek Yadavayyanamath | Atlassian Support

Assignee

Unassigned

Reporter

Nattha Warapasakul

Components

Labels

Add-on Type

None

Team

None

CC

None

Risk factor

None

Affected Product/s

None

Affects versions

Priority

Major
Configure